import React, { useState, useCallback, useEffect } from 'react';
import ReactDOM from 'react-dom';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/wenleicao/24da06aff2538ba8740e559c7e670257/raw/ad738fc0f69f246ac2e71b8e74d2d4a60f0b2887/city_crime_population_ratio.csv';

export const useData = () =>{
   const [data, setData] = useState(null);

  useEffect(() => {
    const row = d => {
      d.Crime_Ratio = +d['crime_rate'];
      return d;
    };

    csv(csvUrl, row).then(data => {
      setData(data.slice(0, 10));
    });
  }, []);

  return data;
};
